Role Name
=========

A role that installs a Letsencrypt certificate and configures HAPROXY in the controller nodes to use it. 

Role Variables
--------------

The most important variables are listed below:

``` yaml
tripleo_haproxy_cert_path: /etc/pki/tls/private/overcloud_endpoint.pem
tripleo_letsencrypt_dns_provider: true
tripleo_letsencrypt_cert_install_dir: '{{ tripleo_overcloud_hostname }}/{{ tripleo_overcloud_domain_name }}'
```

Dependencies
------------

letsencrypt-acme-sh-client

License
-------

EUPL-1.2

Author Information
------------------

Andrea Dell'Amico, <andrea.dellamico@isti.cnr.it>
